Export buyer account mappings
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/account-mappings/export \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/account-mappings/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/account-mappings/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"templateCsv": "<string>",
"currentBindingsCsv": "<string>",
"sourceAccountsCsv": "<string>",
"bindingCount": 4503599627370495,
"sourceAccountCount": 4503599627370495,
"truncated": true
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
Export buyer account mappings
Export the normalized source-mapping template, current healthy mappings, and active source-account choices as formula-safe, byte-bounded CSV documents.
GET
/
account-mappings
/
export
Export buyer account mappings
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/account-mappings/export \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/account-mappings/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/account-mappings/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"templateCsv": "<string>",
"currentBindingsCsv": "<string>",
"sourceAccountsCsv": "<string>",
"bindingCount": 4503599627370495,
"sourceAccountCount": 4503599627370495,
"truncated": true
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token